<bugID>773529<Summary>add temporary addProvider/removeProvider methods for testing convenience</Summary><Description>The current SocialService doesn't support adding/removing providers, which makes it difficult to test certain things without directly creating SocialProvider objects. Let's fix that by adding addProvider/removeProvider helpers (that don't actually persist changes beyond the current session, for the moment).</Description></bugID>